Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005920 [JEDI VCL] 00 JVCL Components major always 2012-06-27 13:14 2015-09-21 17:47
Reporter Arioch View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0005920: jvcolorbutton rendering broken on Enabled toggling
Description I've found small problem with this gadget:
 - I change status Enebled to False.
 - I change status Enabled to True.
 - I change color - Showing color is wrong....

 I've fixed it for my copy:
 part of procedure TJvColorButton.Paint:


 if Enabled then
     Frame3D(Canvas, Rec, cl3DDkShadow, cl3DDkShadow, 1)
 else
 begin
     Frame3D(Canvas, Rec, clBtnShadow, clBtnHighLight, 1);
     Canvas.Brush.Style := bsBDiagonal;
 end;

 I've changed to:

     if Enabled then
     begin
       Frame3D(Canvas, Rec, cl3DDkShadow, cl3DDkShadow, 1);
       Canvas.Brush.Style := bsSolid;
     end
     else
     begin
       Frame3D(Canvas, Rec, clBtnShadow, clBtnHighLight, 1);
       Canvas.Brush.Style := bsBDiagonal;
     end;
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0005695resolvedobones tjvcolorbutton does not get focus 

-  Notes
(0020517)
AHUser (developer)
2013-05-25 17:53

Fixed in svn revision 13528.

- Issue History
Date Modified Username Field Change
2012-06-27 13:14 Arioch New Issue
2013-01-15 15:07 obones Relationship added related to 0005695
2013-01-15 15:07 obones Status new => acknowledged
2013-05-25 17:53 AHUser Note Added: 0020517
2013-05-25 17:53 AHUser Status acknowledged => resolved
2013-05-25 17:53 AHUser Fixed in Version => Daily / SVN
2013-05-25 17:53 AHUser Resolution open => fixed
2013-05-25 17:53 AHUser Assigned To => AHUser
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker